Page MenuHomePhabricator

[SCEV] Add tests where assumes can be used to improve trip multiple.
ClosedPublic

Authored by alonkom on May 26 2022, 5:21 AM.

Details

Summary

Add tests combing assume on trip count divisibility (tc % vf) and minimum values (tc > N).
Github issue #55645

Diff Detail

Event Timeline

alonkom created this revision.May 26 2022, 5:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2022, 5:21 AM
alonkom requested review of this revision.May 26 2022, 5:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2022, 5:21 AM
fhahn added a comment.May 26 2022, 6:23 AM

Interesting test cases, thanks for sharing! Could you update the description to use #55645 instead of just 55645. This ensures the commit will get linked on the GitHub issue page.

Also, could you add TODOs where we currently miss the better trip count multiple with an explanation *why*?

fhahn requested changes to this revision.May 27 2022, 3:48 AM
fhahn added inline comments.
llvm/test/Analysis/ScalarEvolution/trip-multiple-guard-info.ll
107

Could you also add variants of those tests with the order of the assumes swapped?

This revision now requires changes to proceed.May 27 2022, 3:48 AM
alonkom edited the summary of this revision. (Show Details)Jun 12 2022, 6:33 AM
alonkom updated this revision to Diff 436273.Jun 12 2022, 10:17 PM
alonkom marked an inline comment as done.
fhahn accepted this revision.Jun 13 2022, 2:17 PM

LGTM, thanks!

This revision is now accepted and ready to land.Jun 13 2022, 2:17 PM

LGTM, thanks!

Can you please submit it on my behalf?
I still have commit permission issues

fhahn added a comment.Jun 14 2022, 1:51 AM

LGTM, thanks!

Can you please submit it on my behalf?
I still have commit permission issues

Sure, please let me know what name & email to use for the git authorship.

LGTM, thanks!

Can you please submit it on my behalf?
I still have commit permission issues

Sure, please let me know what name & email to use for the git authorship.

Thanks!
Alon Kom, alon.kom@mobileye.com

This revision was landed with ongoing or failed builds.Jun 14 2022, 2:50 AM
This revision was automatically updated to reflect the committed changes.